'''OpenGL extension KHR.image_pixmap

This module customises the behaviour of the 
OpenGL.raw.EGL.KHR.image_pixmap to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/KHR/image_pixmap.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.EGL import _types
from OpenGL.raw.EGL.KHR.image_pixmap import *
from OpenGL.raw.EGL.KHR.image_pixmap import _EXTENSION_NAME

def glInitImagePixmapKHR():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION