'''OpenGL extension KHR.surfaceless_context

This module customises the behaviour of the 
OpenGL.raw.EGL.KHR.surfaceless_context to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/KHR/surfaceless_context.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.EGL import _types
from OpenGL.raw.EGL.KHR.surfaceless_context import *
from OpenGL.raw.EGL.KHR.surfaceless_context import _EXTENSION_NAME

def glInitSurfacelessContextKHR():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION