'''OpenGL extension SGIX.depth_pass_instrument

This module customises the behaviour of the 
OpenGL.raw.GL.SGIX.depth_pass_instrument to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/SGIX/depth_pass_instrument.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.SGIX.depth_pass_instrument import *
from OpenGL.raw.GL.SGIX.depth_pass_instrument import _EXTENSION_NAME

def glInitDepthPassInstrumentSGIX():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION