'''OpenGL extension VERSION.GL_3_3

This module customises the behaviour of the 
OpenGL.raw.GL.VERSION.GL_3_3 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/VERSION/GL_3_3.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.VERSION.GL_3_3 import *
from OpenGL.raw.GL.VERSION.GL_3_3 import _EXTENSION_NAME

def glInitGl33VERSION():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION
from OpenGL.GL.ARB.texture_multisample import *
from OpenGL.GL.ARB.blend_func_extended import *
from OpenGL.GL.ARB.sampler_objects import *
from OpenGL.GL.ARB.explicit_attrib_location import *
from OpenGL.GL.ARB.occlusion_query2 import *
from OpenGL.GL.ARB.shader_bit_encoding import *
from OpenGL.GL.ARB.texture_rgb10_a2ui import *
from OpenGL.GL.ARB.texture_swizzle import *
from OpenGL.GL.ARB.timer_query import *
from OpenGL.GL.ARB.vertex_type_2_10_10_10_rev import *
