'''OpenGL extension EXT.texture_lod_bias

This module customises the behaviour of the 
OpenGL.raw.GLES1.EXT.texture_lod_bias to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/texture_lod_bias.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES1 import _types
from OpenGL.raw.GLES1.EXT.texture_lod_bias import *
from OpenGL.raw.GLES1.EXT.texture_lod_bias import _EXTENSION_NAME

def glInitTextureLodBiasEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION