'''OpenGL extension OES.byte_coordinates

This module customises the behaviour of the 
OpenGL.raw.GLES1.OES.byte_coordinates to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/byte_coordinates.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES1 import _types
from OpenGL.raw.GLES1.OES.byte_coordinates import *
from OpenGL.raw.GLES1.OES.byte_coordinates import _EXTENSION_NAME

def glInitByteCoordinatesOES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION