'''OpenGL extension OES.rgb8_rgba8

This module customises the behaviour of the 
OpenGL.raw.GLES1.OES.rgb8_rgba8 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/rgb8_rgba8.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES1 import _types
from OpenGL.raw.GLES1.OES.rgb8_rgba8 import *
from OpenGL.raw.GLES1.OES.rgb8_rgba8 import _EXTENSION_NAME

def glInitRgb8Rgba8OES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION