'''OpenGL extension ANGLE.texture_compression_dxt3

This module customises the behaviour of the 
OpenGL.raw.GLES2.ANGLE.texture_compression_dxt3 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ANGLE/texture_compression_dxt3.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.ANGLE.texture_compression_dxt3 import *
from OpenGL.raw.GLES2.ANGLE.texture_compression_dxt3 import _EXTENSION_NAME

def glInitTextureCompressionDxt3ANGLE():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION