'''OpenGL extension APPLE.copy_texture_levels

This module customises the behaviour of the 
OpenGL.raw.GLES2.APPLE.copy_texture_levels to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/APPLE/copy_texture_levels.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.APPLE.copy_texture_levels import *
from OpenGL.raw.GLES2.APPLE.copy_texture_levels import _EXTENSION_NAME

def glInitCopyTextureLevelsAPPLE():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION