'''OpenGL extension NV.blend_equation_advanced

This module customises the behaviour of the 
OpenGL.raw.GLES2.NV.blend_equation_advanced to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/blend_equation_advanced.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.NV.blend_equation_advanced import *
from OpenGL.raw.GLES2.NV.blend_equation_advanced import _EXTENSION_NAME

def glInitBlendEquationAdvancedNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION