'''OpenGL extension NV.explicit_attrib_location

This module customises the behaviour of the 
OpenGL.raw.GLES2.NV.explicit_attrib_location to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/explicit_attrib_location.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.NV.explicit_attrib_location import *
from OpenGL.raw.GLES2.NV.explicit_attrib_location import _EXTENSION_NAME

def glInitExplicitAttribLocationNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION