'''OpenGL extension NV.read_depth

This module customises the behaviour of the 
OpenGL.raw.GLES2.NV.read_depth to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/read_depth.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.NV.read_depth import *
from OpenGL.raw.GLES2.NV.read_depth import _EXTENSION_NAME

def glInitReadDepthNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION