'''OpenGL extension NV.texture_border_clamp

This module customises the behaviour of the 
OpenGL.raw.GLES2.NV.texture_border_clamp to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/texture_border_clamp.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.NV.texture_border_clamp import *
from OpenGL.raw.GLES2.NV.texture_border_clamp import _EXTENSION_NAME

def glInitTextureBorderClampNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION