'''OpenGL extension OES.EGL_image

This module customises the behaviour of the 
OpenGL.raw.GLES2.OES.EGL_image to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/EGL_image.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.OES.EGL_image import *
from OpenGL.raw.GLES2.OES.EGL_image import _EXTENSION_NAME

def glInitEglImageOES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION