'''OpenGL extension OES.texture_npot

This module customises the behaviour of the 
OpenGL.raw.GLES2.OES.texture_npot to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/texture_npot.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper

import ctypes
from OpenGL.raw.GLES2 import _types
from OpenGL.raw.GLES2.OES.texture_npot import *
from OpenGL.raw.GLES2.OES.texture_npot import _EXTENSION_NAME

def glInitTextureNpotOES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION